al_get_thread_should_stop(3)

NAME

al_get_thread_should_stop - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_get_thread_should_stop(ALLEGRO_THREAD *thread)

DESCRIPTION

Check if another thread is waiting for thread to stop. Threads which run in a loop should check this periodically and act on it when convenient.

Returns true if another thread has called al_join_thread(3) or al_set_thread_should_stop(3) on this thread.

SEE ALSO

al_join_thread(3), al_set_thread_should_stop(3).

    Note: We don't support forceful killing of threads.